Bug 818997 - API call channel.listSoftwareChannels only works for main organization
API call channel.listSoftwareChannels only works for main organization
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomas Lestach
Dimitar Yordanov
Depends On:
Blocks: 820994 space18
  Show dependency treegraph
Reported: 2012-05-04 10:45 EDT by Franky Van Liedekerke
Modified: 2012-11-01 12:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 820994 (view as bug list)
Last Closed: 2012-11-01 12:17:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Franky Van Liedekerke 2012-05-04 10:45:53 EDT
Description of problem:
The spacewalk API call channel.listSoftwareChannels only works for the "main" organization, if you share the channels with other organizations, the call doesn't return these channels when using a login from one of those organizations

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create a bunch of channels in your master organizaition
2. create a second org
3. share the channels to the second org
4. using the API, call channel.listSoftwareChannels from the second org, it returns empty
Actual results:
empty list

Expected results:
list of channels returned
Comment 1 Tomas Lestach 2012-05-11 09:59:48 EDT
I've rewritten channel.listSoftwareChannels ...

spacewalk.git: e8490f8317402a5f142ed9df406336e2afc842bd
Comment 2 Jan Pazdziora 2012-10-30 15:22:18 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 3 Jan Pazdziora 2012-11-01 12:17:09 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.